@echo off
SET CUR_PATH=%~dp0 
SET PR_PATH=%ProgramFiles%\kros-gate

cd "%PR_PATH%" 
if .%1. == .. (
   echo Ожидается параметр

) else if .%1. == .version. (
   echo Запрос доступной версии с сервера лицензирования...
   java -jar kros-gate.jar --check

) else if .%1. == .start. (
   echo Запуск службы...
   sc start kros-gate
   ping -n 3 localhost > nul
   java -jar kros-gate.jar --status

) else if .%1. == .stop. (
   echo Остановка службы...
   sc stop kros-gate
   del "%PR_PATH%\conf\kros.active"

) else if .%1. == .restart. (
   echo Остановка службы...
   sc stop kros-gate
   del "%PR_PATH%\conf\kros.active"
   ping -n 3 localhost > nul
   echo Запуск службы...
   sc start kros-gate
   ping -n 3 localhost > nul
   java -jar kros-gate.jar --status

) else (
   java -jar kros-gate.jar --%1
) 
pause
cd "%CUR_PATH%"
